
CoCoA-5 - Bug #1080

intersect: problem with zero generators

16 Jun 2017 19:02 - John Abbott

Status: Closed Start date: 16 Jun 2017

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 1.71 hour

Target version: CoCoA-5.2.2 Spent time: 1.65 hour

Description

There are still problems with zero generators:

use R ::= QQ[x,y];

I1 := ideal(x,zero(R));

I2 := ideal(y);

intersect(I1,I2); --> ERROR

 

I thought this had been fixed :-(

Related issues:

Related to CoCoA-5 - Bug #446: intersection fails with zero ideal Closed 20 Feb 2014

History

#1 - 16 Jun 2017 19:03 - John Abbott

- Related to Bug #446: intersection fails with zero ideal added

#2 - 16 Jun 2017 19:14 - John Abbott

The problem appears to be the ctor for a GPoly which does not allow GPoly of 0 to be created.

Location TMPGreductor.C:1563 inside fn EmbedPoly.

Anna, are you able to read Max's code?

#3 - 20 Jun 2017 14:08 - Anna Maria Bigatti

- Description updated

- Assignee set to Anna Maria Bigatti

#4 - 20 Jun 2017 14:24 - John Abbott

We must remember to add some tests for various failing cases when this has been resolved.

PS it is a little tedious that CoCoA does not accept ideal(x,0,y) because it wants a RINGELEM instead of an INT; of course, it is no often that one

wants to give explicitly an INT as a generator, so perhaps the error message is a "feature"?

#5 - 01 Dec 2017 17:26 - Anna Maria Bigatti

- Status changed from New to Feedback

- Estimated time set to 1.01 h

04 Apr 2024 1/2



I added the function EmbedPolyListNo0 in TmpGReductor.C.

It does the same as EmbedPolyList but skipping zero polynomials.

This should indeed be used always, instead of EmbedPolyList, but it'd better checked case by case (for example for syzygies one should be

careful....)

#6 - 01 Dec 2017 17:26 - Anna Maria Bigatti

- % Done changed from 0 to 90

#7 - 11 Dec 2017 17:11 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#8 - 11 Dec 2017 17:41 - Anna Maria Bigatti

- Estimated time changed from 1.01 h to 1.71 h

added test in exbugs.
